import knex from '../../db/knex_router';
import { makeExecutableSchema } from 'graphql-tools';

const typeDefs = `
    type Query {
        groups: [Group]!
    }

    type Group {
        name: String!
        id: ID!
        website: String
        updatedAt: String!
        description: String
        school: String!
    }
`;

const resolvers = {
    Query: {
        groups: () => knex.select().from('groups')
    }
};

const schema = makeExecutableSchema({
    typeDefs,
    resolvers
});

export default schema;